Provide macOS 10.14 (Mojave) stack

stack-updates
#1

Description of the feature request

Please provide macOS 10.14 (Mojave) stack. There are some use cases that require building on Mojave, for example compiling assets catalog that support Dark Mode.

Use case / for what or how I would use it

For example, compiling assets catalog with Dark appearance support requires building on Mojave. Ref.: https://stackoverflow.com/questions/52872730/darkmode-doesnt-work-on-mojave-when-exported-from-archive

0 Likes

#2

Hello there! thanks for the feature request, we will be able to release a mojave stack early spring.

0 Likes

#3

We’re working on the upgrade, due to hardware upgrades it goes slower than expected but we hope to have it in ~2 weeks/early February.

1 Like

#4

Hi @viktorbenei. Is this still on track to release in February?

1 Like

#5

Hi @jjessel! Our current ETA of Mojave is early-mid March. Please bear with us, we’re working on it!

0 Likes

#6

Any update on this?

0 Likes

#7

Our infra team is working on this with a really high priority! We also needed to do a larger system update to be able to support Xcode 10.2 as well, but now we have everything in place to be able to work on the new stack! :nerd_face: If everything goes well this might go live this weekend :wink: we already have a PR to update the website to include the stack and will merge it as soon as the stack would be made available by the infra team!

We’ll of course update this thread as soon as the stack is available.

1 Like

#8

The Xcode 10.2 beta stack is now available, and that’s on 10.14 Mojave :tada:

We realize the infra upgrade took longer than we expected and it was blocking the Mojave stack release, we’re sorry for that and thank you for your patience!

I’ll mark this feature request as completed, if you’d have any issues with the 10.14 Mojave (Xcode 10.2 and newer) stack(s) please let us know by creating an issue in #issues!

Thank you everyone and Happy Building! :slight_smile:

2 Likes

#9

Why the beta stack? We need to create stable releases with Xcode on Mojave. Not just using Xcode beta.

1 Like

#10

Hello @jjessel

Please be patient, we updated the whole virtualisation system to be able to create this stack, let us have some time to see if it is working fine, and make the stable channel truly stable. :upside_down_face:

0 Likes

#11

Will there be a stack available with macOS 10.14 and Xcode 10.1?

0 Likes

#12

Hy @jjessel

as far as I know there will be none.
the 10.1 will stay but in the next release will be the 10.2 stable channel and up from there

0 Likes

#13

The issue with this is Xcode 10.2 uses the Swift 5 compiler. Any modules compiled with Xcode 10 or 10.1 will need to be recompiled using Xcode 10.2. This poses a problem if there are any third party frameworks involved. macOS Mojave 10.14 is needed for production builds with Xcode 10.1. Is there a technical limitation from having Xcode 10.1 or is it a business decision to exclude it?

0 Likes

#14

Why do you need Xcode 10.1 on Mojave, what’s the technical requirement? Is it for macOS apps specifically?

0 Likes

#15

We need macOS 10.14 to support dark mode for a mac app. We also have a compiled framework from a third party and it will need to be re-compiled in Xcode 10.2 because it was written in swift. Xcode 10.2 is also still in beta.

1 Like

#16

Any traction on getting a Mojave stack with a non-beta version of Xcode?

0 Likes

#17

Hy there,

there will be a non beta stack naturally, we need some time to make it tho. well as soon as apple releases a non beta version of it.

0 Likes

closed #18

This topic was automatically closed 7 days after the last reply. New replies are no longer allowed.

0 Likes